Inhalte
Index 🔎︎

# Funktion DatePart

Die Funktion "DatePart" liefert einen bestimmten Teil eines Datums.

### Syntax:

    DatePart (Intervall als Zeichenfolge, Datum als Datum [, ErsterTagDerWoche als Integer [, ErsteWocheDesJahres als Integer]]) als Long

### Rückgabewert:

Der extrahierte Teil für das angegebene Datum.

### Parameter:

Intervall – Eine Zeichenfolge aus der folgenden Tabelle, die das Datumsintervall angibt.

Intervall (Zeichenfolgenwert) | Erklärung
--- | ---
yyyy | Jahr
q | Quartal
m | Monat
y | Kalendertag
w | Wochentag
ww | Kalenderwoche
d | Tag
h | Stunde
n | Minute
s | Sekunde

Datum – Das Datum, ab dem das Ergebnis berechnet wird.

Datumsausdrücke ermöglichen die Angabe eindeutiger Datumsvariablen, die unabhängig von der aktuellen Sprache sind. Ausdrücke sind zwischen Rauten # eingeschlossen. Mögliche Formate sind:

- #yyyy-mm-dd#

- #mm/dd/yyyy#

ErsterTagDerWoche: Ein optionaler Parameter, der den ersten Tag einer Woche angibt.

Werte für ErsterTagDerWoche | Erklärung
--- | ---
0 | Systemvorgabewert verwenden
1 | Sonntag (Vorgabe)
2 | Montag
3 | Dienstag
4 | Mittwoch
5 | Donnerstag
6 | Freitag
7 | Samstag

ErsteWocheDesJahres: Ein optionaler Parameter, der die erste Woche eines Jahres angibt.

Werte für ErsteWocheDesJahres | Erklärung
--- | ---
0 | Systemvorgabewert verwenden
1 | Woche 1 ist die Woche, auf die der 1. Januar fällt. (Vorgabe)
2 | Woche 1 ist die erste Woche, die mindestens vier Tage dieses Jahres enthält
3 | Woche 1 ist die erste Woche, die ausschließlich Tage dieses Jahres enthält

### Beispiel:

    Sub example_datepart
        MsgBox DatePart("ww", #12/31/2005#)
        MsgBox DatePart(date:=#1999-12-30#, interval:="q")
    End Sub